<?php
namespace wpopt;
?>
<div class="info-list">
    <div class="set-info-card">
        <div>
            <img src="<?php echo Tools::getImgUrl('wordpress.svg') ?>">
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="primary">WordPress版本</t-tag>
            </div>
            <div>
                <t-tag theme="danger"> <?php echo get_bloginfo('version'); ?></t-tag>
            </div>
        </div>
    </div>

    <div class="set-info-card">
        <div>
            <img src="<?php echo Tools::getImgUrl('php.svg') ?>">
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="primary">PHP版本</t-tag>
            </div>
            <div>
                <t-tag theme="danger"> <?php echo phpversion(); ?></t-tag>
            </div>
        </div>
    </div>

    <div class="set-info-card">
        <div>
            <img src="<?php echo Tools::getImgUrl('wpopt.svg') ?>">
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="primary">插件版本</t-tag>
            </div>
            <div>
                <t-tag theme="danger"> <?php echo Config::$plugin_version_name; ?></t-tag>
            </div>
        </div>
    </div>
</div>

<div class="set-h3">快速开关</div>
<p>这儿的开关，控制全局功能，可以快速的控制左边项目中的功能开启。</p>
<div class="info-list">
    <div class="set-info-card set-info-card-switch">
        <div>
            <t-icon name="chart-bubble" size="60px"/>
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="success">输出优化</t-tag>
            </div>
            <div>
                <t-switch2 v-model="set.echo.open"></t-switch2>
            </div>
        </div>
    </div>

    <div class="set-info-card set-info-card-switch">
        <div>
            <t-icon name="close-circle-filled" size="60px"/>
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="success">函数禁用</t-tag>
            </div>
            <div>
                <t-switch2 v-model="set.fun_ban.open"></t-switch2>
            </div>
        </div>
    </div>

    <div class="set-info-card set-info-card-switch">
        <div>
            <t-icon name="bulletpoint" size="60px"/>
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="success">功能开关</t-tag>
            </div>
            <div>
                <t-switch2 v-model="set.fun_switch.open"></t-switch2>
            </div>
        </div>
    </div>
    <div class="set-info-card set-info-card-switch">
        <div>
            <t-icon name="dashboard" size="60px"/>
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="success">优化加速</t-tag>
            </div>
            <div>
                <t-switch2 v-model="set.optimization.open"></t-switch2>

            </div>
        </div>
    </div>

    <div class="set-info-card set-info-card-switch">
        <div>
            <t-icon name="control-platform" size="60px"/>
        </div>
        <div>
            <div class="card-name">
                <t-tag theme="success">功能增强</t-tag>
            </div>
            <div>
                <t-switch2 v-model="set.fun_enhance.open"></t-switch2>
            </div>
        </div>
    </div>
</div>