<?php
namespace wpopt;


?>
<div class="set-h3">接口相关</div>
<switch-plane name="<?php _e('屏蔽 REST API', 'wpopt'); ?>" v-model="set.fun_switch.rest_api">
    <?php _e('没有小程序等APP功能的，可以关闭', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('屏蔽  Trackbacks/Pingback', 'wpopt'); ?>" v-model="set.fun_switch.pingback">
    <?php _e('别人复制了你的网站内容，对方也是WordPress的话，你会收到一条系统留言', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭XML-RPC接口', 'wpopt'); ?>" v-model="set.fun_switch.xml_rpc">
    <?php _e('WordPress对接第三方应用接口，没有可以关闭', 'wpopt'); ?>
</switch-plane>
<div class="set-h3">外观显示</div>
<switch-plane name="<?php _e('禁用Emoji表情', 'wpopt'); ?>" v-model="set.fun_switch.emoji">
    <?php _e('Emoji表情为WordPress默认表情功能，会在页面加载静态资源', 'wpopt'); ?>
</switch-plane>


<switch-plane name="<?php _e('关闭前台顶部管理工具条', 'wpopt'); ?>" v-model="set.fun_switch.admin_bar">
    <?php _e('前台不显示 WordPress 顶部工具条，有的主题可能原本就不显示', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭登录页面语言选择', 'wpopt'); ?>" v-model="set.fun_switch.login_translate">
    <?php _e('WordPress 6.0以上版本自带登录页面会显示语言切换', 'wpopt'); ?>
</switch-plane>

<div class="set-h3">文章与编辑</div>

<switch-plane name="<?php _e('关闭保存修订版本', 'wpopt'); ?>" v-model="set.fun_switch.revision">
    <?php _e('修订版本占用数据库，打乱文章ID，可以关闭', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭图像高度限制', 'wpopt'); ?>" v-model="set.fun_switch.image_height_limit">
    <?php _e('超过WordPress规定高度的图片，会被WordPress压缩，建议关闭', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('禁止生成多种图像尺寸', 'wpopt'); ?>" v-model="set.fun_switch.image_creat_size">
    <?php _e('上传图片后，WordPress会生成多种图片尺寸大小，建议禁止', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('禁止插入图片添加属性', 'wpopt'); ?>" v-model="set.fun_switch.remove_image_attributes">
    <?php _e('插入图片的时候会添加 width、height、class属性，会导致图片宽高被定死，建议禁止', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭字符转码', 'wpopt'); ?>" v-model="set.fun_switch.transcoding">
    <?php _e('WordPress会转义内容，最直接的就会导致，你复制的直引号变弯引号，还拖慢速度，建议关闭。', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('禁止Auto Embeds', 'wpopt'); ?>" v-model="set.fun_switch.auto_embeds">
    <?php _e('插入url会被自动转换成卡片，一键嵌入内容。', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('禁止文章Embeds', 'wpopt'); ?>" v-model="set.fun_switch.post_embeds">
    <?php _e('插入的url，如果是使用WordPress搭建的文章，会自动转换成文章卡片', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('禁止新版古藤堡编辑器', 'wpopt'); ?>" v-model="set.fun_switch.gutenberg">
    <?php _e('新版古藤堡编辑器，并不好用，当然，这只是作者的主观感受。作者建议你给禁止了。', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('禁止小工具区块编辑器', 'wpopt'); ?>" v-model="set.fun_switch.widget_gutenberg">
    <?php _e('WordPress 5.8 及之后版本小工具模块换变成了区块编辑器管理，难用，建议禁止。', 'wpopt'); ?>
</switch-plane>



<div class="set-h3">升级与更新</div>

<switch-plane name="<?php _e('关闭WordPress核心更新', 'wpopt'); ?>" v-model="set.fun_switch.core_update">
    <?php _e('禁止WordPress自身检查更新，加快运行速度', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭主题自动更新', 'wpopt'); ?>" v-model="set.fun_switch.theme_update">
    <?php _e('彻底关闭主题更新检查', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭插件自动更新', 'wpopt'); ?>" v-model="set.fun_switch.plugin_update">
    <?php _e('彻底关闭插件更新检查', 'wpopt'); ?>
</switch-plane>

<div class="set-h3">邮件相关</div>

<switch-plane name="<?php _e('关闭用户信息邮件通知', 'wpopt'); ?>" v-model="set.fun_switch.mail_update_user_info_note">
    <?php _e('如果邮件服务器可用，用户修改密码或者邮箱等信息后，会发邮件通知你', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('关闭注册邮件通知', 'wpopt'); ?>" v-model="set.fun_switch.mail_register_note">
    <?php _e('如果邮件服务器可用，用户注册就会发邮件通知你', 'wpopt'); ?>
</switch-plane>

<switch-plane name="<?php _e('屏蔽定期邮箱验证', 'wpopt'); ?>" v-model="set.fun_switch.email_check">
    <?php _e('如果邮件服务器可用，过一段时间就会要求你验证邮箱', 'wpopt'); ?>
</switch-plane>
